# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# NO CHECKED-IN PROTOBUF GENCODE
# source: ska_pst/grpc/lmc/ska_pst_lmc.proto
# Protobuf Python Version: 5.27.2
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import runtime_version as _runtime_version
from google.protobuf import symbol_database as _symbol_database
from google.protobuf.internal import builder as _builder
_runtime_version.ValidateProtobufRuntimeVersion(
    _runtime_version.Domain.PUBLIC,
    5,
    27,
    2,
    '',
    'ska_pst/grpc/lmc/ska_pst_lmc.proto'
)
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\"ska_pst/grpc/lmc/ska_pst_lmc.proto\x12\x0bska.pst.lmc\"?\n\x06Status\x12$\n\x04\x63ode\x18\x01 \x01(\x0e\x32\x16.ska.pst.lmc.ErrorCode\x12\x0f\n\x07message\x18\x02 \x01(\t\"\xaa\x01\n\x15SmrbBeamConfiguration\x12\x10\n\x08\x64\x61ta_key\x18\x01 \x01(\t\x12\x13\n\x0bweights_key\x18\x02 \x01(\t\x12\x10\n\x08hb_nbufs\x18\x03 \x01(\r\x12\x10\n\x08hb_bufsz\x18\x04 \x01(\x04\x12\x10\n\x08\x64\x62_nbufs\x18\x05 \x01(\r\x12\x10\n\x08\x64\x62_bufsz\x18\x06 \x01(\x04\x12\x10\n\x08wb_nbufs\x18\x07 \x01(\r\x12\x10\n\x08wb_bufsz\x18\x08 \x01(\x04\"\xce\x02\n\x17ReceiveSubbandResources\x12\x10\n\x08\x64\x61ta_key\x18\x01 \x01(\t\x12\x13\n\x0bweights_key\x18\x02 \x01(\t\x12\x11\n\tbandwidth\x18\x03 \x01(\x01\x12\r\n\x05nchan\x18\x04 \x01(\r\x12\x15\n\rstart_channel\x18\x05 \x01(\r\x12\x13\n\x0b\x65nd_channel\x18\x06 \x01(\r\x12\x11\n\tfrequency\x18\x07 \x01(\x01\x12\x19\n\x11start_channel_out\x18\x08 \x01(\r\x12\x17\n\x0f\x65nd_channel_out\x18\t \x01(\r\x12\x11\n\tnchan_out\x18\n \x01(\r\x12\x15\n\rbandwidth_out\x18\x0b \x01(\x01\x12\x15\n\rfrequency_out\x18\x0c \x01(\x01\x12\x11\n\tdata_host\x18\r \x01(\t\x12\x11\n\tdata_port\x18\x0e \x01(\r\x12\x10\n\x08\x64\x61ta_mac\x18\x0f \x01(\t\"\xe5\x03\n\x18ReceiveBeamConfiguration\x12\x11\n\tudp_nsamp\x18\x01 \x01(\r\x12\x10\n\x08wt_nsamp\x18\x02 \x01(\r\x12\x11\n\tudp_nchan\x18\x03 \x01(\r\x12\x11\n\tfrequency\x18\x04 \x01(\x01\x12\x11\n\tbandwidth\x18\x05 \x01(\x01\x12\r\n\x05nchan\x18\x06 \x01(\r\x12\x10\n\x08\x66rontend\x18\x07 \x01(\t\x12\x0f\n\x07\x66\x64_poln\x18\x08 \x01(\t\x12\x0f\n\x07\x66\x64_hand\x18\t \x01(\x11\x12\x0f\n\x07\x66\x64_sang\x18\n \x01(\x02\x12\x0f\n\x07\x66\x64_mode\x18\x0b \x01(\t\x12\x0e\n\x06\x66\x61_req\x18\x0c \x01(\x02\x12\x0c\n\x04nant\x18\r \x01(\r\x12\x10\n\x08\x61ntennas\x18\x0e \x01(\t\x12\x13\n\x0b\x61nt_weights\x18\x0f \x01(\t\x12\x0c\n\x04npol\x18\x10 \x01(\r\x12\r\n\x05nbits\x18\x11 \x01(\r\x12\x0c\n\x04ndim\x18\x12 \x01(\r\x12\r\n\x05tsamp\x18\x13 \x01(\x01\x12\x0f\n\x07ovrsamp\x18\x14 \x01(\t\x12\x10\n\x08nsubband\x18\x15 \x01(\r\x12?\n\x11subband_resources\x18\x16 \x01(\x0b\x32$.ska.pst.lmc.ReceiveSubbandResources\x12\x12\n\nudp_format\x18\x17 \x01(\t\x12\x0f\n\x07\x62\x65\x61m_id\x18\x18 \x01(\t\"A\n\x18\x44spDiskBeamConfiguration\x12\x10\n\x08\x64\x61ta_key\x18\x01 \x01(\t\x12\x13\n\x0bweights_key\x18\x02 \x01(\t\"H\n\x1f\x44spFlowThroughBeamConfiguration\x12\x10\n\x08\x64\x61ta_key\x18\x01 \x01(\t\x12\x13\n\x0bweights_key\x18\x02 \x01(\t\">\n\x15StatBeamConfiguration\x12\x10\n\x08\x64\x61ta_key\x18\x01 \x01(\t\x12\x13\n\x0bweights_key\x18\x02 \x01(\t\"\x8f\x01\n\x15TestBeamConfiguration\x12\x44\n\tresources\x18\x01 \x03(\x0b\x32\x31.ska.pst.lmc.TestBeamConfiguration.ResourcesEntry\x1a\x30\n\x0eResourcesEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12\r\n\x05value\x18\x02 \x01(\t:\x02\x38\x01\"\xff\x02\n\x11\x42\x65\x61mConfiguration\x12\x32\n\x04smrb\x18\x01 \x01(\x0b\x32\".ska.pst.lmc.SmrbBeamConfigurationH\x00\x12\x38\n\x07receive\x18\x02 \x01(\x0b\x32%.ska.pst.lmc.ReceiveBeamConfigurationH\x00\x12\x39\n\x08\x64sp_disk\x18\x03 \x01(\x0b\x32%.ska.pst.lmc.DspDiskBeamConfigurationH\x00\x12\x32\n\x04stat\x18\x04 \x01(\x0b\x32\".ska.pst.lmc.StatBeamConfigurationH\x00\x12H\n\x10\x64sp_flow_through\x18\x05 \x01(\x0b\x32,.ska.pst.lmc.DspFlowThroughBeamConfigurationH\x00\x12\x32\n\x04test\x18\x63 \x01(\x0b\x32\".ska.pst.lmc.TestBeamConfigurationH\x00\x42\x0f\n\rconfiguration\"c\n\x14\x43onfigureBeamRequest\x12:\n\x12\x62\x65\x61m_configuration\x18\x01 \x01(\x0b\x32\x1e.ska.pst.lmc.BeamConfiguration\x12\x0f\n\x07\x64ry_run\x18\x02 \x01(\x08\"\x17\n\x15\x43onfigureBeamResponse\"\x18\n\x16\x44\x65\x63onfigureBeamRequest\"\x19\n\x17\x44\x65\x63onfigureBeamResponse\"\x1d\n\x1bGetBeamConfigurationRequest\"Z\n\x1cGetBeamConfigurationResponse\x12:\n\x12\x62\x65\x61m_configuration\x18\x01 \x01(\x0b\x32\x1e.ska.pst.lmc.BeamConfiguration\"\x17\n\x15SmrbScanConfiguration\"j\n\x0fScanCalibration\x12\x10\n\x08\x63\x61l_mode\x18\x01 \x01(\t\x12\x10\n\x08\x63\x61l_freq\x18\x02 \x01(\x01\x12\x10\n\x08\x63\x61l_dcyc\x18\x03 \x01(\x02\x12\x0f\n\x07\x63\x61l_phs\x18\x04 \x01(\x02\x12\x10\n\x08\x63\x61l_nphs\x18\x05 \x01(\r\"\xb3\x03\n\x18ReceiveScanConfiguration\x12\x17\n\x0f\x61\x63tivation_time\x18\x01 \x01(\t\x12\x16\n\x0eobservation_id\x18\x02 \x01(\t\x12\x13\n\x07scan_id\x18\x03 \x01(\x04\x42\x02\x18\x01\x12\x10\n\x08observer\x18\x04 \x01(\t\x12\x0e\n\x06projid\x18\x05 \x01(\t\x12\x0e\n\x06pnt_id\x18\x06 \x01(\t\x12\x13\n\x0bsubarray_id\x18\x07 \x01(\t\x12\x0e\n\x06source\x18\x08 \x01(\t\x12\x0c\n\x04itrf\x18\t \x01(\t\x12\x0c\n\x04\x62maj\x18\n \x01(\x02\x12\x0c\n\x04\x62min\x18\x0b \x01(\x02\x12\x10\n\x08\x63oord_md\x18\x0c \x01(\t\x12\x0f\n\x07\x65quinox\x18\r \x01(\t\x12\x10\n\x08stt_crd1\x18\x0e \x01(\t\x12\x10\n\x08stt_crd2\x18\x0f \x01(\t\x12\x10\n\x08trk_mode\x18\x10 \x01(\t\x12\x13\n\x0bscanlen_max\x18\x11 \x01(\x05\x12\x13\n\x0btest_vector\x18\x12 \x01(\t\x12\x31\n\x0b\x63\x61libration\x18\x13 \x01(\x0b\x32\x1c.ska.pst.lmc.ScanCalibration\x12\x1a\n\x12\x65xecution_block_id\x18\x14 \x01(\t\"e\n\x18\x44spDiskScanConfiguration\x12\x13\n\x0bscanlen_max\x18\x01 \x01(\x01\x12\x18\n\x10\x62ytes_per_second\x18\x02 \x01(\x01\x12\x1a\n\x12\x65xecution_block_id\x18\x03 \x01(\t\"\xeb\x01\n\x1f\x44spFlowThroughScanConfiguration\x12\x13\n\x0bscanlen_max\x18\x01 \x01(\x01\x12\x18\n\x10\x62ytes_per_second\x18\x02 \x01(\x01\x12\x1a\n\x12\x65xecution_block_id\x18\x03 \x01(\t\x12\x14\n\x0cnum_bits_out\x18\x04 \x01(\r\x12\x15\n\rpolarisations\x18\x05 \x01(\t\x12\x10\n\x08\x63hannels\x18\x06 \x03(\r\x12\x1c\n\x14requantisation_scale\x18\x07 \x01(\x02\x12 \n\x18requantisation_init_time\x18\x08 \x01(\r\"\x91\x01\n\x15StatScanConfiguration\x12\x1a\n\x12\x65xecution_block_id\x18\x01 \x01(\t\x12\x1b\n\x13processing_delay_ms\x18\x02 \x01(\r\x12\x15\n\rreq_time_bins\x18\x03 \x01(\r\x12\x15\n\rreq_freq_bins\x18\x04 \x01(\r\x12\x11\n\tnum_rebin\x18\x05 \x01(\r\"\x9b\x01\n\x15TestScanConfiguration\x12L\n\rconfiguration\x18\x01 \x03(\x0b\x32\x35.ska.pst.lmc.TestScanConfiguration.ConfigurationEntry\x1a\x34\n\x12\x43onfigurationEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12\r\n\x05value\x18\x02 \x01(\t:\x02\x38\x01\"\xff\x02\n\x11ScanConfiguration\x12\x32\n\x04smrb\x18\x01 \x01(\x0b\x32\".ska.pst.lmc.SmrbScanConfigurationH\x00\x12\x38\n\x07receive\x18\x02 \x01(\x0b\x32%.ska.pst.lmc.ReceiveScanConfigurationH\x00\x12\x39\n\x08\x64sp_disk\x18\x03 \x01(\x0b\x32%.ska.pst.lmc.DspDiskScanConfigurationH\x00\x12\x32\n\x04stat\x18\x04 \x01(\x0b\x32\".ska.pst.lmc.StatScanConfigurationH\x00\x12H\n\x10\x64sp_flow_through\x18\x05 \x01(\x0b\x32,.ska.pst.lmc.DspFlowThroughScanConfigurationH\x00\x12\x32\n\x04test\x18\x63 \x01(\x0b\x32\".ska.pst.lmc.TestScanConfigurationH\x00\x42\x0f\n\rconfiguration\"c\n\x14\x43onfigureScanRequest\x12:\n\x12scan_configuration\x18\x03 \x01(\x0b\x32\x1e.ska.pst.lmc.ScanConfiguration\x12\x0f\n\x07\x64ry_run\x18\x04 \x01(\x08\"\x17\n\x15\x43onfigureScanResponse\"\x1d\n\x1bGetScanConfigurationRequest\"Z\n\x1cGetScanConfigurationResponse\x12:\n\x12scan_configuration\x18\x03 \x01(\x0b\x32\x1e.ska.pst.lmc.ScanConfiguration\"\x18\n\x16\x44\x65\x63onfigureScanRequest\"\x19\n\x17\x44\x65\x63onfigureScanResponse\"#\n\x10StartScanRequest\x12\x0f\n\x07scan_id\x18\x01 \x01(\x03\"\x13\n\x11StartScanResponse\"#\n\x0fStopScanRequest\x12\x10\n\x08\x65nd_time\x18\x01 \x01(\x04\"\x12\n\x10StopScanResponse\"\x11\n\x0fGetStateRequest\"8\n\x10GetStateResponse\x12$\n\x05state\x18\x01 \x01(\x0e\x32\x15.ska.pst.lmc.ObsState\"}\n\x0eSmrbStatistics\x12\r\n\x05nbufs\x18\x01 \x01(\r\x12\r\n\x05\x62ufsz\x18\x02 \x01(\x04\x12\x0f\n\x07written\x18\x03 \x01(\x04\x12\x0c\n\x04read\x18\x04 \x01(\x04\x12\x0c\n\x04\x66ull\x18\x05 \x01(\r\x12\r\n\x05\x63lear\x18\x06 \x01(\r\x12\x11\n\tavailable\x18\x07 \x01(\r\"j\n\x0fSmrbMonitorData\x12)\n\x04\x64\x61ta\x18\x01 \x01(\x0b\x32\x1b.ska.pst.lmc.SmrbStatistics\x12,\n\x07weights\x18\x02 \x01(\x0b\x32\x1b.ska.pst.lmc.SmrbStatistics\"\x91\x06\n\x12ReceiveMonitorData\x12\x14\n\x0creceive_rate\x18\x01 \x01(\x02\x12\x15\n\rdata_received\x18\x02 \x01(\x04\x12\x16\n\x0e\x64\x61ta_drop_rate\x18\x03 \x01(\x02\x12\x14\n\x0c\x64\x61ta_dropped\x18\x04 \x01(\x04\x12\x1a\n\x12misordered_packets\x18\x05 \x01(\x04\x12\x1e\n\x16misordered_packet_rate\x18\x06 \x01(\x02\x12\x19\n\x11malformed_packets\x18\x07 \x01(\x04\x12\x1d\n\x15malformed_packet_rate\x18\x08 \x01(\x02\x12\x1b\n\x13misdirected_packets\x18\t \x01(\x04\x12\x1f\n\x17misdirected_packet_rate\x18\n \x01(\x02\x12 \n\x18\x63hecksum_failure_packets\x18\x0b \x01(\x04\x12$\n\x1c\x63hecksum_failure_packet_rate\x18\x0c \x01(\x02\x12$\n\x1ctimestamp_sync_error_packets\x18\r \x01(\x04\x12(\n timestamp_sync_error_packet_rate\x18\x0e \x01(\x02\x12%\n\x1dseq_number_sync_error_packets\x18\x0f \x01(\x04\x12)\n!seq_number_sync_error_packet_rate\x18\x10 \x01(\x02\x12%\n\x1dno_valid_station_beam_packets\x18\x11 \x01(\x04\x12)\n!no_valid_station_beam_packet_rate\x18\x12 \x01(\x02\x12!\n\x19no_valid_pst_beam_packets\x18\x13 \x01(\x04\x12%\n\x1dno_valid_pst_beam_packet_rate\x18\x14 \x01(\x02\x12\x30\n(no_valid_polarisation_correction_packets\x18\x15 \x01(\x04\x12\x34\n,no_valid_polarisation_correction_packet_rate\x18\x16 \x01(\x02\"t\n\x12\x44spDiskMonitorData\x12\x15\n\rdisk_capacity\x18\x01 \x01(\x04\x12\x1c\n\x14\x64isk_available_bytes\x18\x02 \x01(\x04\x12\x15\n\rbytes_written\x18\x03 \x01(\x04\x12\x12\n\nwrite_rate\x18\x04 \x01(\x01\"\x1b\n\x19\x44spFlowThroughMonitorData\"\xa0\x05\n\x0fStatMonitorData\x12\x1a\n\x12mean_frequency_avg\x18\x01 \x03(\x02\x12!\n\x19mean_frequency_avg_masked\x18\x02 \x03(\x02\x12\x1e\n\x16variance_frequency_avg\x18\x03 \x03(\x02\x12%\n\x1dvariance_frequency_avg_masked\x18\x04 \x03(\x02\x12\x15\n\rmean_spectrum\x18\x05 \x03(\x02\x12\x19\n\x11variance_spectrum\x18\x06 \x03(\x02\x12\x1b\n\x13mean_spectral_power\x18\x07 \x03(\x02\x12\x1a\n\x12max_spectral_power\x18\x08 \x03(\x02\x12\x1d\n\x15histogram_1d_freq_avg\x18\t \x03(\r\x12$\n\x1chistogram_1d_freq_avg_masked\x18\n \x03(\r\x12&\n\x1ehistogram_rebinned_2d_freq_avg\x18\x0b \x03(\r\x12-\n%histogram_rebinned_2d_freq_avg_masked\x18\x0c \x03(\r\x12&\n\x1ehistogram_rebinned_1d_freq_avg\x18\r \x03(\r\x12-\n%histogram_rebinned_1d_freq_avg_masked\x18\x0e \x03(\r\x12$\n\x1cnum_clipped_samples_spectrum\x18\x0f \x03(\r\x12\x1b\n\x13num_clipped_samples\x18\x10 \x03(\r\x12\"\n\x1anum_clipped_samples_masked\x18\x11 \x03(\r\x12\x13\n\x0bspectrogram\x18\x12 \x03(\x02\x12\x12\n\ntimeseries\x18\x13 \x03(\x02\x12\x19\n\x11timeseries_masked\x18\x14 \x03(\x02\"t\n\x0fTestMonitorData\x12\x34\n\x04\x64\x61ta\x18\x01 \x03(\x0b\x32&.ska.pst.lmc.TestMonitorData.DataEntry\x1a+\n\tDataEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12\r\n\x05value\x18\x02 \x01(\t:\x02\x38\x01\"&\n\x0eMonitorRequest\x12\x14\n\x0cpolling_rate\x18\x01 \x01(\x04\"\xd4\x02\n\x0bMonitorData\x12,\n\x04smrb\x18\x01 \x01(\x0b\x32\x1c.ska.pst.lmc.SmrbMonitorDataH\x00\x12\x32\n\x07receive\x18\x02 \x01(\x0b\x32\x1f.ska.pst.lmc.ReceiveMonitorDataH\x00\x12\x33\n\x08\x64sp_disk\x18\x03 \x01(\x0b\x32\x1f.ska.pst.lmc.DspDiskMonitorDataH\x00\x12,\n\x04stat\x18\x04 \x01(\x0b\x32\x1c.ska.pst.lmc.StatMonitorDataH\x00\x12\x42\n\x10\x64sp_flow_through\x18\x05 \x01(\x0b\x32&.ska.pst.lmc.DspFlowThroughMonitorDataH\x00\x12,\n\x04test\x18\x63 \x01(\x0b\x32\x1c.ska.pst.lmc.TestMonitorDataH\x00\x42\x0e\n\x0cmonitor_data\"A\n\x0fMonitorResponse\x12.\n\x0cmonitor_data\x18\x03 \x01(\x0b\x32\x18.ska.pst.lmc.MonitorData\"\x0e\n\x0c\x41\x62ortRequest\"\x0f\n\rAbortResponse\"\x0e\n\x0cResetRequest\"\x0f\n\rResetResponse\"\x10\n\x0eRestartRequest\"\x11\n\x0fRestartResponse\")\n\x10GoToFaultRequest\x12\x15\n\rerror_message\x18\x01 \x01(\t\"\x13\n\x11GoToFaultResponse\"&\n\x11\x43onnectionRequest\x12\x11\n\tclient_id\x18\x01 \x01(\t\"8\n\x12\x43onnectionResponse\x12\x14\n\x0cservice_name\x18\x01 \x01(\t\x12\x0c\n\x04uuid\x18\x02 \x01(\t\"\x17\n\x15GetEnvironmentRequest\"|\n\x08\x45nvValue\x12\x16\n\x0cstring_value\x18\x01 \x01(\tH\x00\x12\x15\n\x0b\x66loat_value\x18\x02 \x01(\x02H\x00\x12\x1a\n\x10signed_int_value\x18\x03 \x01(\x12H\x00\x12\x1c\n\x12unsigned_int_value\x18\x04 \x01(\x04H\x00\x42\x07\n\x05value\"\x9f\x01\n\x16GetEnvironmentResponse\x12?\n\x06values\x18\x01 \x03(\x0b\x32/.ska.pst.lmc.GetEnvironmentResponse.ValuesEntry\x1a\x44\n\x0bValuesEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12$\n\x05value\x18\x02 \x01(\x0b\x32\x15.ska.pst.lmc.EnvValue:\x02\x38\x01\">\n\x12SetLogLevelRequest\x12(\n\tlog_level\x18\x01 \x01(\x0e\x32\x15.ska.pst.lmc.LogLevel\"\x15\n\x13SetLogLevelResponse\"\x14\n\x12GetLogLevelRequest\"?\n\x13GetLogLevelResponse\x12(\n\tlog_level\x18\x01 \x01(\x0e\x32\x15.ska.pst.lmc.LogLevel\"3\n\x12HealthCheckRequest\x12\x1d\n\x15health_check_interval\x18\x01 \x01(\x04\"z\n\x13HealthCheckResponse\x12\x14\n\x0cservice_name\x18\x01 \x01(\t\x12\x0c\n\x04uuid\x18\x02 \x01(\t\x12(\n\tobs_state\x18\x03 \x01(\x0e\x32\x15.ska.pst.lmc.ObsState\x12\x15\n\rfault_message\x18\x04 \x01(\t*\x9e\x01\n\x08ObsState\x12\t\n\x05\x45MPTY\x10\x00\x12\x0e\n\nRESOURCING\x10\x01\x12\x08\n\x04IDLE\x10\x02\x12\x0f\n\x0b\x43ONFIGURING\x10\x03\x12\t\n\x05READY\x10\x04\x12\x0c\n\x08SCANNING\x10\x05\x12\x0c\n\x08\x41\x42ORTING\x10\x06\x12\x0b\n\x07\x41\x42ORTED\x10\x07\x12\r\n\tRESETTING\x10\x08\x12\t\n\x05\x46\x41ULT\x10\t\x12\x0e\n\nRESTARTING\x10\n*\xe0\x01\n\tErrorCode\x12\x06\n\x02OK\x10\x00\x12\x13\n\x0fINVALID_REQUEST\x10\x01\x12\x12\n\x0eINTERNAL_ERROR\x10\x02\x12\x1f\n\x1b\x43ONFIGURED_FOR_BEAM_ALREADY\x10\x03\x12\x1b\n\x17NOT_CONFIGURED_FOR_BEAM\x10\x04\x12\x14\n\x10\x41LREADY_SCANNING\x10\x05\x12\x10\n\x0cNOT_SCANNING\x10\x06\x12\x1f\n\x1b\x43ONFIGURED_FOR_SCAN_ALREADY\x10\x07\x12\x1b\n\x17NOT_CONFIGURED_FOR_SCAN\x10\x08*N\n\x0eProcessingMode\x12\x11\n\rPULSAR_TIMING\x10\x00\x12\x17\n\x13\x44\x45TECTED_FILTERBANK\x10\x01\x12\x10\n\x0c\x46LOW_THROUGH\x10\x02*E\n\x08LogLevel\x12\x08\n\x04INFO\x10\x00\x12\t\n\x05\x44\x45\x42UG\x10\x01\x12\x0b\n\x07WARNING\x10\x02\x12\x0c\n\x08\x43RITICAL\x10\x03\x12\t\n\x05\x45RROR\x10\x04\x32\xb7\x0c\n\rPstLmcService\x12J\n\x07\x63onnect\x12\x1e.ska.pst.lmc.ConnectionRequest\x1a\x1f.ska.pst.lmc.ConnectionResponse\x12W\n\x0e\x63onfigure_beam\x12!.ska.pst.lmc.ConfigureBeamRequest\x1a\".ska.pst.lmc.ConfigureBeamResponse\x12]\n\x10\x64\x65\x63onfigure_beam\x12#.ska.pst.lmc.DeconfigureBeamRequest\x1a$.ska.pst.lmc.DeconfigureBeamResponse\x12m\n\x16get_beam_configuration\x12(.ska.pst.lmc.GetBeamConfigurationRequest\x1a).ska.pst.lmc.GetBeamConfigurationResponse\x12W\n\x0e\x63onfigure_scan\x12!.ska.pst.lmc.ConfigureScanRequest\x1a\".ska.pst.lmc.ConfigureScanResponse\x12]\n\x10\x64\x65\x63onfigure_scan\x12#.ska.pst.lmc.DeconfigureScanRequest\x1a$.ska.pst.lmc.DeconfigureScanResponse\x12m\n\x16get_scan_configuration\x12(.ska.pst.lmc.GetScanConfigurationRequest\x1a).ska.pst.lmc.GetScanConfigurationResponse\x12K\n\nstart_scan\x12\x1d.ska.pst.lmc.StartScanRequest\x1a\x1e.ska.pst.lmc.StartScanResponse\x12H\n\tstop_scan\x12\x1c.ska.pst.lmc.StopScanRequest\x1a\x1d.ska.pst.lmc.StopScanResponse\x12H\n\tget_state\x12\x1c.ska.pst.lmc.GetStateRequest\x1a\x1d.ska.pst.lmc.GetStateResponse\x12\x46\n\x07monitor\x12\x1b.ska.pst.lmc.MonitorRequest\x1a\x1c.ska.pst.lmc.MonitorResponse0\x01\x12>\n\x05\x61\x62ort\x12\x19.ska.pst.lmc.AbortRequest\x1a\x1a.ska.pst.lmc.AbortResponse\x12>\n\x05reset\x12\x19.ska.pst.lmc.ResetRequest\x1a\x1a.ska.pst.lmc.ResetResponse\x12\x44\n\x07restart\x12\x1b.ska.pst.lmc.RestartRequest\x1a\x1c.ska.pst.lmc.RestartResponse\x12L\n\x0bgo_to_fault\x12\x1d.ska.pst.lmc.GoToFaultRequest\x1a\x1e.ska.pst.lmc.GoToFaultResponse\x12R\n\x07get_env\x12\".ska.pst.lmc.GetEnvironmentRequest\x1a#.ska.pst.lmc.GetEnvironmentResponse\x12R\n\rset_log_level\x12\x1f.ska.pst.lmc.SetLogLevelRequest\x1a .ska.pst.lmc.SetLogLevelResponse\x12R\n\rget_log_level\x12\x1f.ska.pst.lmc.GetLogLevelRequest\x1a .ska.pst.lmc.GetLogLevelResponse\x12S\n\x0chealth_check\x12\x1f.ska.pst.lmc.HealthCheckRequest\x1a .ska.pst.lmc.HealthCheckResponse0\x01\x62\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'ska_pst.grpc.lmc.ska_pst_lmc_pb2', _globals)
if not _descriptor._USE_C_DESCRIPTORS:
  DESCRIPTOR._loaded_options = None
  _globals['_TESTBEAMCONFIGURATION_RESOURCESENTRY']._loaded_options = None
  _globals['_TESTBEAMCONFIGURATION_RESOURCESENTRY']._serialized_options = b'8\001'
  _globals['_RECEIVESCANCONFIGURATION'].fields_by_name['scan_id']._loaded_options = None
  _globals['_RECEIVESCANCONFIGURATION'].fields_by_name['scan_id']._serialized_options = b'\030\001'
  _globals['_TESTSCANCONFIGURATION_CONFIGURATIONENTRY']._loaded_options = None
  _globals['_TESTSCANCONFIGURATION_CONFIGURATIONENTRY']._serialized_options = b'8\001'
  _globals['_TESTMONITORDATA_DATAENTRY']._loaded_options = None
  _globals['_TESTMONITORDATA_DATAENTRY']._serialized_options = b'8\001'
  _globals['_GETENVIRONMENTRESPONSE_VALUESENTRY']._loaded_options = None
  _globals['_GETENVIRONMENTRESPONSE_VALUESENTRY']._serialized_options = b'8\001'
  _globals['_OBSSTATE']._serialized_start=7594
  _globals['_OBSSTATE']._serialized_end=7752
  _globals['_ERRORCODE']._serialized_start=7755
  _globals['_ERRORCODE']._serialized_end=7979
  _globals['_PROCESSINGMODE']._serialized_start=7981
  _globals['_PROCESSINGMODE']._serialized_end=8059
  _globals['_LOGLEVEL']._serialized_start=8061
  _globals['_LOGLEVEL']._serialized_end=8130
  _globals['_STATUS']._serialized_start=51
  _globals['_STATUS']._serialized_end=114
  _globals['_SMRBBEAMCONFIGURATION']._serialized_start=117
  _globals['_SMRBBEAMCONFIGURATION']._serialized_end=287
  _globals['_RECEIVESUBBANDRESOURCES']._serialized_start=290
  _globals['_RECEIVESUBBANDRESOURCES']._serialized_end=624
  _globals['_RECEIVEBEAMCONFIGURATION']._serialized_start=627
  _globals['_RECEIVEBEAMCONFIGURATION']._serialized_end=1112
  _globals['_DSPDISKBEAMCONFIGURATION']._serialized_start=1114
  _globals['_DSPDISKBEAMCONFIGURATION']._serialized_end=1179
  _globals['_DSPFLOWTHROUGHBEAMCONFIGURATION']._serialized_start=1181
  _globals['_DSPFLOWTHROUGHBEAMCONFIGURATION']._serialized_end=1253
  _globals['_STATBEAMCONFIGURATION']._serialized_start=1255
  _globals['_STATBEAMCONFIGURATION']._serialized_end=1317
  _globals['_TESTBEAMCONFIGURATION']._serialized_start=1320
  _globals['_TESTBEAMCONFIGURATION']._serialized_end=1463
  _globals['_TESTBEAMCONFIGURATION_RESOURCESENTRY']._serialized_start=1415
  _globals['_TESTBEAMCONFIGURATION_RESOURCESENTRY']._serialized_end=1463
  _globals['_BEAMCONFIGURATION']._serialized_start=1466
  _globals['_BEAMCONFIGURATION']._serialized_end=1849
  _globals['_CONFIGUREBEAMREQUEST']._serialized_start=1851
  _globals['_CONFIGUREBEAMREQUEST']._serialized_end=1950
  _globals['_CONFIGUREBEAMRESPONSE']._serialized_start=1952
  _globals['_CONFIGUREBEAMRESPONSE']._serialized_end=1975
  _globals['_DECONFIGUREBEAMREQUEST']._serialized_start=1977
  _globals['_DECONFIGUREBEAMREQUEST']._serialized_end=2001
  _globals['_DECONFIGUREBEAMRESPONSE']._serialized_start=2003
  _globals['_DECONFIGUREBEAMRESPONSE']._serialized_end=2028
  _globals['_GETBEAMCONFIGURATIONREQUEST']._serialized_start=2030
  _globals['_GETBEAMCONFIGURATIONREQUEST']._serialized_end=2059
  _globals['_GETBEAMCONFIGURATIONRESPONSE']._serialized_start=2061
  _globals['_GETBEAMCONFIGURATIONRESPONSE']._serialized_end=2151
  _globals['_SMRBSCANCONFIGURATION']._serialized_start=2153
  _globals['_SMRBSCANCONFIGURATION']._serialized_end=2176
  _globals['_SCANCALIBRATION']._serialized_start=2178
  _globals['_SCANCALIBRATION']._serialized_end=2284
  _globals['_RECEIVESCANCONFIGURATION']._serialized_start=2287
  _globals['_RECEIVESCANCONFIGURATION']._serialized_end=2722
  _globals['_DSPDISKSCANCONFIGURATION']._serialized_start=2724
  _globals['_DSPDISKSCANCONFIGURATION']._serialized_end=2825
  _globals['_DSPFLOWTHROUGHSCANCONFIGURATION']._serialized_start=2828
  _globals['_DSPFLOWTHROUGHSCANCONFIGURATION']._serialized_end=3063
  _globals['_STATSCANCONFIGURATION']._serialized_start=3066
  _globals['_STATSCANCONFIGURATION']._serialized_end=3211
  _globals['_TESTSCANCONFIGURATION']._serialized_start=3214
  _globals['_TESTSCANCONFIGURATION']._serialized_end=3369
  _globals['_TESTSCANCONFIGURATION_CONFIGURATIONENTRY']._serialized_start=3317
  _globals['_TESTSCANCONFIGURATION_CONFIGURATIONENTRY']._serialized_end=3369
  _globals['_SCANCONFIGURATION']._serialized_start=3372
  _globals['_SCANCONFIGURATION']._serialized_end=3755
  _globals['_CONFIGURESCANREQUEST']._serialized_start=3757
  _globals['_CONFIGURESCANREQUEST']._serialized_end=3856
  _globals['_CONFIGURESCANRESPONSE']._serialized_start=3858
  _globals['_CONFIGURESCANRESPONSE']._serialized_end=3881
  _globals['_GETSCANCONFIGURATIONREQUEST']._serialized_start=3883
  _globals['_GETSCANCONFIGURATIONREQUEST']._serialized_end=3912
  _globals['_GETSCANCONFIGURATIONRESPONSE']._serialized_start=3914
  _globals['_GETSCANCONFIGURATIONRESPONSE']._serialized_end=4004
  _globals['_DECONFIGURESCANREQUEST']._serialized_start=4006
  _globals['_DECONFIGURESCANREQUEST']._serialized_end=4030
  _globals['_DECONFIGURESCANRESPONSE']._serialized_start=4032
  _globals['_DECONFIGURESCANRESPONSE']._serialized_end=4057
  _globals['_STARTSCANREQUEST']._serialized_start=4059
  _globals['_STARTSCANREQUEST']._serialized_end=4094
  _globals['_STARTSCANRESPONSE']._serialized_start=4096
  _globals['_STARTSCANRESPONSE']._serialized_end=4115
  _globals['_STOPSCANREQUEST']._serialized_start=4117
  _globals['_STOPSCANREQUEST']._serialized_end=4152
  _globals['_STOPSCANRESPONSE']._serialized_start=4154
  _globals['_STOPSCANRESPONSE']._serialized_end=4172
  _globals['_GETSTATEREQUEST']._serialized_start=4174
  _globals['_GETSTATEREQUEST']._serialized_end=4191
  _globals['_GETSTATERESPONSE']._serialized_start=4193
  _globals['_GETSTATERESPONSE']._serialized_end=4249
  _globals['_SMRBSTATISTICS']._serialized_start=4251
  _globals['_SMRBSTATISTICS']._serialized_end=4376
  _globals['_SMRBMONITORDATA']._serialized_start=4378
  _globals['_SMRBMONITORDATA']._serialized_end=4484
  _globals['_RECEIVEMONITORDATA']._serialized_start=4487
  _globals['_RECEIVEMONITORDATA']._serialized_end=5272
  _globals['_DSPDISKMONITORDATA']._serialized_start=5274
  _globals['_DSPDISKMONITORDATA']._serialized_end=5390
  _globals['_DSPFLOWTHROUGHMONITORDATA']._serialized_start=5392
  _globals['_DSPFLOWTHROUGHMONITORDATA']._serialized_end=5419
  _globals['_STATMONITORDATA']._serialized_start=5422
  _globals['_STATMONITORDATA']._serialized_end=6094
  _globals['_TESTMONITORDATA']._serialized_start=6096
  _globals['_TESTMONITORDATA']._serialized_end=6212
  _globals['_TESTMONITORDATA_DATAENTRY']._serialized_start=6169
  _globals['_TESTMONITORDATA_DATAENTRY']._serialized_end=6212
  _globals['_MONITORREQUEST']._serialized_start=6214
  _globals['_MONITORREQUEST']._serialized_end=6252
  _globals['_MONITORDATA']._serialized_start=6255
  _globals['_MONITORDATA']._serialized_end=6595
  _globals['_MONITORRESPONSE']._serialized_start=6597
  _globals['_MONITORRESPONSE']._serialized_end=6662
  _globals['_ABORTREQUEST']._serialized_start=6664
  _globals['_ABORTREQUEST']._serialized_end=6678
  _globals['_ABORTRESPONSE']._serialized_start=6680
  _globals['_ABORTRESPONSE']._serialized_end=6695
  _globals['_RESETREQUEST']._serialized_start=6697
  _globals['_RESETREQUEST']._serialized_end=6711
  _globals['_RESETRESPONSE']._serialized_start=6713
  _globals['_RESETRESPONSE']._serialized_end=6728
  _globals['_RESTARTREQUEST']._serialized_start=6730
  _globals['_RESTARTREQUEST']._serialized_end=6746
  _globals['_RESTARTRESPONSE']._serialized_start=6748
  _globals['_RESTARTRESPONSE']._serialized_end=6765
  _globals['_GOTOFAULTREQUEST']._serialized_start=6767
  _globals['_GOTOFAULTREQUEST']._serialized_end=6808
  _globals['_GOTOFAULTRESPONSE']._serialized_start=6810
  _globals['_GOTOFAULTRESPONSE']._serialized_end=6829
  _globals['_CONNECTIONREQUEST']._serialized_start=6831
  _globals['_CONNECTIONREQUEST']._serialized_end=6869
  _globals['_CONNECTIONRESPONSE']._serialized_start=6871
  _globals['_CONNECTIONRESPONSE']._serialized_end=6927
  _globals['_GETENVIRONMENTREQUEST']._serialized_start=6929
  _globals['_GETENVIRONMENTREQUEST']._serialized_end=6952
  _globals['_ENVVALUE']._serialized_start=6954
  _globals['_ENVVALUE']._serialized_end=7078
  _globals['_GETENVIRONMENTRESPONSE']._serialized_start=7081
  _globals['_GETENVIRONMENTRESPONSE']._serialized_end=7240
  _globals['_GETENVIRONMENTRESPONSE_VALUESENTRY']._serialized_start=7172
  _globals['_GETENVIRONMENTRESPONSE_VALUESENTRY']._serialized_end=7240
  _globals['_SETLOGLEVELREQUEST']._serialized_start=7242
  _globals['_SETLOGLEVELREQUEST']._serialized_end=7304
  _globals['_SETLOGLEVELRESPONSE']._serialized_start=7306
  _globals['_SETLOGLEVELRESPONSE']._serialized_end=7327
  _globals['_GETLOGLEVELREQUEST']._serialized_start=7329
  _globals['_GETLOGLEVELREQUEST']._serialized_end=7349
  _globals['_GETLOGLEVELRESPONSE']._serialized_start=7351
  _globals['_GETLOGLEVELRESPONSE']._serialized_end=7414
  _globals['_HEALTHCHECKREQUEST']._serialized_start=7416
  _globals['_HEALTHCHECKREQUEST']._serialized_end=7467
  _globals['_HEALTHCHECKRESPONSE']._serialized_start=7469
  _globals['_HEALTHCHECKRESPONSE']._serialized_end=7591
  _globals['_PSTLMCSERVICE']._serialized_start=8133
  _globals['_PSTLMCSERVICE']._serialized_end=9724
# @@protoc_insertion_point(module_scope)
